var config = readConfig("/etc/sim-manager.conf");
var provider = config.sim1;
var lost = false;
log("SIM Manager: interval={} min, ip1={}, ip2={}, sim1={}, sim2={}", config.interval, config.primaryServer, config.secondaryServer, config.sim1, config.sim2);
defineRule("Pinger", {
	when: cron("0 */"+config.interval+" * * * *") ,
	then: function() {
		runShellCommand("ping -c 4 "+config.primaryServer, {captureOutput: true,exitCallback: function (exitCode, capturedOutput) {
			lost = capturedOutput.indexOf("100% packet loss")!=-1;
			if(lost)runShellCommand("ping -c 4 "+config.secondaryServer, {captureOutput: true,exitCallback: function(exitCode, capturedOutput){
				lost = capturedOutput.indexOf("100% packet loss")!=-1;
				if(lost){
					var sim = provider==config.sim1?"sim2":"sim1";
					var providerNew = provider==config.sim1?config.sim2:config.sim1;
					runShellCommand("poff "+provider);
					runShellCommand("wb-gsm off && wb-gsm on "+sim+" && sleep 30 && pon "+providerNew);
					log("Changing provider {}>>>{} on {}", provider, providerNew, sim);
					provider = providerNew;
				}
			}});
		}});
	}
});